This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472660 - No keyboard if X11 started by "startx"
No keyboard if X11 started by "startx"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 21:59 EST by Thomas Schweikle
Modified: 2008-11-24 22:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fedora release 10 (Cambridge)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 22:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf (1.79 KB, text/plain)
2008-11-23 22:57 EST, Thomas Schweikle
no flags Details
/var/log/Xorg.0.log (17.78 KB, text/plain)
2008-11-23 22:59 EST, Thomas Schweikle
no flags Details
lshal > lahal.txt 2>&1 (149 bytes, text/plain)
2008-11-23 23:00 EST, Thomas Schweikle
no flags Details

  None (edit)
Description Thomas Schweikle 2008-11-22 21:59:31 EST
Description of problem:
If X11 started by "startx" no keyboard input accepted.

Version-Release number of selected component (if applicable):
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386
xorg-x11-drv-avivo-0.0.1-7.fc9.i386
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.i386
xorg-x11-twm-1.0.3-3.fc10.i386
xorg-x11-drv-summa-1.2.0-2.fc10.i386
xorg-x11-drv-wiimote-0.0.1-1.fc9.i386
xorg-x11-drv-tek4957-1.2.0-1.fc9.i386
xorg-x11-drv-s3virge-1.10.0-1.fc9.i386
xorg-x11-drv-digitaledge-1.1.1-1.fc9.i386
xorg-x11-utils-7.4-3.fc10.i386
xorg-x11-drv-mach64-6.8.0-1.fc10.i386
xorg-x11-drv-vmmouse-12.6.1-1.fc10.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386
xorg-x11-drv-ark-0.7.0-1.fc9.i386
xorg-x11-drv-geode-2.10.1-1.fc10.i386
ConsoleKit-x11-0.3.0-2.fc10.i386
xorg-x11-drv-fpit-1.2.0-1.fc9.i386
xorg-x11-drv-voodoo-1.2.0-1.fc9.i386
xorg-x11-drv-dmc-1.1.2-1.fc9.i386
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-server-utils-7.4-3.fc10.i386
xorg-x11-drivers-7.3-9.fc10.i386
xorg-x11-drv-vga-4.1.0-5.fc8.i386
xorg-x11-drv-citron-2.2.1-1.fc9.i386
xorg-x11-drv-spaceorb-1.1.0-6.fc9.i386
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-drv-dynapro-1.1.2-1.fc9.i386
xorg-x11-drv-chips-1.2.0-1.fc9.i386
xorg-x11-drv-dummy-0.3.0-1.fc9.i386
xorg-x11-drv-jamstudio-1.2.0-1.fc9.i386
xorg-x11-drv-neomagic-1.2.0-1.fc9.i386
xorg-x11-font-utils-7.2-6.fc10.i386
xorg-x11-drv-vesa-2.0.0-1.fc10.i386
dbus-x11-1.2.4-1.fc10.i386
xorg-x11-apps-7.3-5.fc10.i386
xorg-x11-drv-openchrome-0.2.903-1.fc10.i386
xorg-x11-drv-s3-0.6.0-2.fc10.i386
xorg-x11-server-common-1.5.3-5.fc10.i386
xorg-x11-drv-ati-6.9.0-54.fc10.i386
xorg-x11-drv-acecad-1.2.2-1.fc9.i386
xorg-x11-drv-ur98-1.1.0-5.fc9.i386
xorg-x11-drv-nsc-2.8.1-5.fc9.i386
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-drv-cirrus-1.2.0-1.fc9.i386
xorg-x11-drv-i740-1.2.0-1.fc9.i386
xorg-x11-drv-hyperpen-1.2.0-1.fc9.i386
xorg-x11-drv-magellan-1.2.0-1.fc9.i386
xorg-x11-drv-palmax-1.2.0-1.fc9.i386
xorg-x11-xauth-1.0.2-5.fc10.i386
xorg-x11-drv-mga-1.4.9-1.fc9.i386
xorg-x11-xinit-1.0.9-4.fc10.i386
xorg-x11-drv-nouveau-0.0.11-1.20080902git6dd8ad4.fc10.i386
libX11-1.1.4-5.fc10.i386
xorg-x11-drv-evdev-2.0.7-3.fc10.i386
xorg-x11-drv-i810-2.5.0-3.fc10.i386
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-drv-ast-0.85.0-1.fc9.i386
xorg-x11-drv-sis-0.10.0-1.fc9.i386
xorg-x11-drv-aiptek-1.1.1-1.fc9.i386
xorg-x11-drv-penmount-1.3.0-1.fc9.i386
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386
xorg-x11-xfs-1.0.5-3.fc10.i386
xorg-x11-drv-synaptics-0.15.2-1.fc10.i386
qt-x11-4.4.3-2.fc10.i386
xorg-x11-drv-v4l-0.2.0-1.fc9.i386
xorg-x11-drv-rendition-4.2.0-1.fc9.i386
xorg-x11-drv-sisusb-0.9.0-1.fc9.i386
xorg-x11-drv-microtouch-1.2.0-1.fc9.i386
xorg-x11-drv-mutouch-1.2.1-1.fc10.i386
xorg-x11-drv-cyrix-1.1.0-5.fc8.i386
xorg-x11-drv-i128-1.3.0-1.fc9.i386
xorg-x11-drv-calcomp-1.1.2-1.fc9.i386
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-drv-elographics-1.2.3-1.fc10.i386
xorg-x11-fonts-truetype-7.2-4.fc9.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-drv-tseng-1.2.0-1.fc9.i386
xorg-x11-drv-trident-1.3.0-1.fc9.i386
xorg-x11-drv-savage-2.2.0-2.fc9.i386
xorg-x11-xkb-utils-7.2-7.fc10.i386
xorg-x11-drv-nv-2.1.12-6.fc10.i386
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.i386
xorg-x11-drv-vmware-10.16.0-1.fc9.i386
xorg-x11-drv-tdfx-1.4.0-1.fc9.i386
xorg-x11-drv-apm-1.2.0-1.fc9.i386
xorg-x11-drv-glint-1.2.1-1.fc9.i386
xorg-x11-drv-r128-6.8.0-1.fc10.i386
xorg-x11-server-Xorg-1.5.3-5.fc10.i386

How reproducible:
Allways

Steps to Reproduce:
1. Install Fedora 10 from rawhide, or
   install Fedora 9, then upgrade to rawhide
2. Make Fedora start in console mode, no graphical login
3. start X11 by "startx"
4. Open "gnome-terminal" by selecting it from the main menu.
5. Try to type something into the open terminal window
  
Actual results:
No key pressed will show up

Expected results:
Input accepted.

Additional info:
Same for all applications. You may start them using your mouse, but no key accepted from any.
Comment 1 Ignacio Vazquez-Abrams 2008-11-22 22:46:26 EST
Please attach /etc/X11/xorg.conf, /var/log/Xorg.0.log, and the output of lshal so that we can use them to help diagnose the issue.
Comment 2 Thomas Schweikle 2008-11-23 22:57:59 EST
Created attachment 324450 [details]
/etc/X11/xorg.conf
Comment 3 Thomas Schweikle 2008-11-23 22:59:53 EST
Created attachment 324451 [details]
/var/log/Xorg.0.log
Comment 4 Thomas Schweikle 2008-11-23 23:00:35 EST
Created attachment 324452 [details]
lshal > lahal.txt 2>&1
Comment 5 Thomas Schweikle 2008-11-23 23:04:23 EST
Looks a lot like this problem is related to init only going to level 2 not 3 as given in inittab:
[root@sapelli ~]# cat /etc/inittab 
# inittab is only used by upstart for the default runlevel.
#
# ADDING OTHER CONFIGURATION HERE WILL HAVE NO EFFECT ON YOUR SYSTEM.
#
# System initialization is started by /etc/event.d/rcS
#
# Individual runlevels are started by /etc/event.d/rc[0-6]
#
# Ctrl-Alt-Delete is handled by /etc/event.d/control-alt-delete
#
# Terminal gettys (tty[1-6]) are handled by /etc/event.d/tty[1-6] and
# /etc/event.d/serial
#
# For information on how to write upstart event handlers, or how
# upstart works, see init(8), initctl(8), and events(5).
#
# Default runlevel. The runlevels used are:
#   0 - halt (Do NOT set initdefault to this)
#   1 - Single user mode
#   2 - Multiuser, without NFS (The same as 3, if you do not have networking)
#   3 - Full multiuser mode
#   4 - unused
#   5 - X11
#   6 - reboot (Do NOT set initdefault to this)
# 
id:3:initdefault:

If I advice init to go to level 3 makes all errors and problems disapear!
Comment 6 Ignacio Vazquez-Abrams 2008-11-23 23:19:25 EST
Interesting. What do /proc/cmdline and /boot/grub/grub.conf contain?
Comment 7 Matěj Cepl 2008-11-24 06:12:03 EST
from Xorg.0.log:

> (WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be \
> disabled.
> (WW) Disabling VMware Keyboard

Insert into ServerLayout (or if you have ServerFlags) section line:

 Option "AllowEmptyInput" "off"

and/or try to add lines

 Option "AutoAddDevices" "off"
 Option "AutoEnableDevices" "off"

What happens?
Comment 8 Thomas Schweikle 2008-11-24 19:25:41 EST
Adding

Option "AllowEmptyInput" "off"

to ServerLayout makes the whole thing work, regardless of messagebus started or not.
Comment 9 Thomas Schweikle 2008-11-24 19:28:24 EST
Adding

Option "AutoAddDevices" "off"
Option "AutoEnableDevices" "off"

does not have any effect at all. Without

Option "AllowEmptyInput" "off"

Seems only

Option "AllowEmptyInput" "off"

fixes the problem not recognizing any keyboard without messagebus started.
Comment 10 Peter Hutterer 2008-11-24 22:42:25 EST
Without AllowEmptyInput "off", the server relies on HAL for the device list. You don't seem to be running the HAL daemon, hence you never get any devices.

You either need to leave AllowEmptyInput "off" in the server layout section or you need to start the HAL daemon before starting X.

Closing as NOTABUG, this is a configuration issue.

Note You need to log in before you can comment on or make changes to this bug.